com.verisign.epp.codec.domain

## Class EPPDomainTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.domain.EPPDomainTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPDomainTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.domain package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.domain package concrete `EPPCommand`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5
  Change Hostory: Modified test codes to accomdate the latest epp-domain-03 protocol

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDomainTst(java.lang.String name)` Creates a new EPPDomainTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
    `protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPDomainTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testDomainCheck()` Unit test of `EPPDomainCheckCmd`.
    `void` | `testDomainCreate()` Unit test of `EPPDomainCreateCmd`.
    `void` | `testDomainDelete()` Unit test of `EPPDomainDeleteCmd`.
    `void` | `testDomainInfo()` Unit test of `EPPDomainInfoCmd`.
    `void` | `testDomainPendActionMsg()` Unit test of `EPPDomainPendActionMsg`. This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.
    `void` | `testDomainRenew()` Unit test of `EPPDomainRenewCmd`.
    `void` | `testDomainTransfer()` Unit test of `EPPDomainTransferCmd`.
    `void` | `testDomainUpdate()` Unit test of `EPPDomainUpdateCmd`.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDomainTst

          public EPPDomainTst(java.lang.String name)

      Creates a new EPPDomainTst object.
      Parameters:
        `name` - DOCUMENT ME!

  - ### Method Detail

    - #### testDomainInfo

          public void testDomainInfo()

      Unit test of `EPPDomainInfoCmd`. The response to `EPPDomainInfoCmd` is `EPPDomainInfoResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainPendActionMsg

          public void testDomainPendActionMsg()

      Unit test of `EPPDomainPendActionMsg`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainCreate

          public void testDomainCreate()

      Unit test of `EPPDomainCreateCmd`. The response to `EPPDomainCreateCmd` is `EPPDomainCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainDelete

          public void testDomainDelete()

      Unit test of `EPPDomainDeleteCmd`. The response to `EPPDomainDeleteCmd` is `EPPDomainCreateResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainRenew

          public void testDomainRenew()

      Unit test of `EPPDomainRenewCmd`. The response to `EPPDomainRenewCmd` is `EPPDomainRenewResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainUpdate

          public void testDomainUpdate()

      Unit test of `EPPDomainUpdateCmd`. The response to `EPPDomainUpdateCmd` is `EPPResponse`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testDomainTransfer

          public void testDomainTransfer()

      Unit test of `EPPDomainTransferCmd`. The response to `EPPDomainTransferCmd` is `EPPDomainTransferResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPDomainMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPDomainTst`.
      Returns:
        DOCUMENT ME!

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - DOCUMENT ME!

    - #### setNumIterations

          public static void setNumIterations(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

    - #### testDomainCheck

          public void testDomainCheck()

      Unit test of `EPPDomainCheckCmd`. The response to `EPPDomainCheckCmd` is `EPPDomainCheckResp`.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.